<?php 
/**
 * @version		1.3 com_annonces - petites annonces $
 * @package		simple_ads_-_petites_annonces
 * @copyright	Copyright (c) 2011 - All rights reserved.
 * @license		GNU/GPL
 * @author		Anthony JULOU
 * @author mail	ajulou@yahoo.fr
 *
 **/
defined('_JEXEC') or die('Restricted access'); 
?>
<div class="componentheading"><?php echo JText::_( 'ADS' ); ?>
</div>
<div class="contentpane">
<div style="margin-bottom:5px"><?php echo JText::_( 'INTRO_EXPLAIN' ); ?><br/>
</div>

<form action="<?php echo $this->action; ?>" method="post" id="adminForm">
<?php if ( $this->parametrage->searchActive == true ) : ?>
	<div id="recherche_ads">
		<label for="filter"><?php echo JText::_('SEARCH') ?>: </label>
		<input type="text" name="filter" id="filter" value="<?php echo $this->lists['filter'];?>" class="text_area" onchange="document.getElementById('adminForm').submit();" />
		<button onclick="document.getElementById('adminForm').submit();" class="button"><?php echo JText::_( 'OK' ); ?></button>
	</div>	
<?php endif; ?>

<div id="listeAnnonces">
	<div id="categorie">
		<table width="100%">
			<tr>
				<td><strong><?php echo JText::_('CATEGORY')?>: </strong> 
				<?php 
					foreach ( $this->listeCategories as $uneCategorie ) { ?>
						<a href="<?php echo $uneCategorie->lien ?>"><?php echo $uneCategorie->libelle ?> 
						(<?php echo $uneCategorie->nbAnnonces ?>)</a>-
					<?php 				
					}
				?>
				</td>
			</tr>
		</table>
	</div>
<script type="text/javascript">
	function tableOrdering( order, dir, view )
	{
		var form = document.getElementById("adminForm");
		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		form.submit( view );
	}
	function confirmDelete(delUrl) {
		  if ( confirm("<?php echo JText::_('SURE TO DELETE')?>")) {
		    document.location = delUrl;
		  }
	}
</script>


<?php if ( count( $this->annonces) > 0 ) { ?>
	<table width="100%" cellpadding="0" cellspacing="0">
		<tr class="sortable">
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">&#160;</td>
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            	<strong>
            		<?php echo JHTML::_('grid.sort', 'Type', 'a.objet', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            	</strong>
            </td>
            <?php if ( $this->showColumns->showYear )  : ?>
            	<td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            		<strong>
            			<?php echo JHTML::_('grid.sort', 'Year', 'a.annee', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            		</strong>
            	</td>
            <?php endif; ?>
            <?php if ( $this->showColumns->showDimensions )  : ?>
            	<td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            		<strong>
            			<?php echo JHTML::_('grid.sort', 'Size', 'a.longueur', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            		</strong>
            	</td>
            <?php endif; ?>
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            	<strong>
            		<?php echo JHTML::_('grid.sort', 'Date', 'a.date', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            	</strong>
            </td>
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            	<strong>
            		<?php echo JHTML::_('grid.sort', 'Price', 'a.prix', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            	</strong>
            </td>
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">
            	<strong>
            		<?php echo JHTML::_('grid.sort', 'Seller', 'u.name', $this->lists['order_Dir'], $this->lists['order'] ); ?>
            	</strong>
            </td>
            <td class="sectiontableheader" style="background:<?php echo $this->parametrage->headerBgColor?>">&nbsp;</td>
        </tr>
        <?php 	foreach ($this->annonces as $row) 
			{
			?>
			<tr class="sectiontableentry<?php echo ($row->odd +1 )?>" >
            	<td><?php echo '<a href="'. JRoute::_('index.php?option=com_annonces&view=annonce&id='.$row->id.'&Itemid='. JRequest::getVar('Itemid', 1, 'get', 'int')).'">' ?><img src="<?php echo $row->vignette_url?>" alt="" /></a></td>
	            <td><?php echo JText::_('VENTE') .' '. $row->catname ?><br/> 
	            	<?php echo '<a href="'. JRoute::_('index.php?option=com_annonces&view=annonce&id='.$row->id.'&Itemid='. JRequest::getVar('Itemid', 1, 'get', 'int')).'"><strong>'. $row->objet .'</strong></a>'; ?>
   				 	<?php echo ( $row->showConstructor ? '('.$row->constructeur.')' : '' ) ?></td>
	   				<?php if ( $this->showColumns->showYear )  : ?>	
		   				 <td>
		   				 	<strong><?php echo ( $row->showYear ? $row->annee : '') ?></strong>
			        	 </td>
			        <?php endif; ?>
		        <?php if ( $this->showColumns->showDimensions )  : ?>
		            <td align="center">
		            	<?php if ( $row->showDimensions ) :?>
			            	L: <?php echo number_format($row->longueur, 2, '.', ' ') . ' ' . $this->parametrage->metric ?><br />
			            	l: <?php echo number_format($row->largeur, 2, '.', ' ') . ' ' . $this->parametrage->metric ?> 
		            	<?php endif;?>
			         </td>
		        <?php endif; ?>
	            <td align="center">
	            	<?php echo JHTML::Date( $row->date, $this->parametrage->dateFormat ); ?>
	            </td>
                <td>
                	<strong><?php echo sprintf( JText::_('PRICE FORMAT'), str_replace(" ", utf8_encode("\xA0"), number_format($row->prix, 0, '.', ' ')) , $this->parametrage->currency ); ?></strong>
                </td>
	            <td>
	            	<strong><?php echo $row->vendeur ?></strong><br />
		            <?php if ( $row->telephone ) : ?> 
		            <div>
						<?php echo JHTML::_('image', 'images/M_images/con_tel.png',$row->telephone, array('align' => 'middle')) . ' ' . nl2br($this->escape( $row->telephone ) ) ?>
					</div>
					<?php endif; ?>
	            </td>
	            <td>
	            	<div class="actionUser">
	            		<?php echo Util::editLink( false, $row->vendeurId, JText::_('MODIFY'), 'edit', 'edit', $row->id, 'itemid'); ?>
	            		<?php echo Util::editLink( false, $row->vendeurId, JText::_('DELETE'), 'annonces', 'delete', $row->id, 'itemid'); ?>
					</div>
	            		<?php echo '<a href="'. JRoute::_('index.php?option=com_annonces&view=annonce&id='.$row->id.'&Itemid='. JRequest::getVar('Itemid', 1, 'get', 'int')).'" class="button">'. JText::_('DETAIL') .'</a>'; ?>
	            </td>
        	</tr>		        
			<?php }	?>
	</table>
</div>
	<div class="pageslinks" >
		<?php echo $this->pageNav->getPagesLinks(); ?>
	</div>
	<input type="hidden" name="option" value="com_annonces" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<input type="hidden" name="view" value="annonces" />
	<input type="hidden" name="task" value="<?php echo $this->task; ?>" />
	<input type="hidden" name="id" value="<?php echo $this->categorie; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo $this->item->id;?>" />
</form>
<?php } else { ?>
<p><strong><?php echo JText::_('NO ADS') ?></strong></p>
<?php } ?>
	<ul>
    	<li><?php echo JText::_('EXPLAIN1')?></li>
    	<?php if ( $this->parametrage->published_days != 0 ) : ?>
    	<li><?php echo JText::sprintf('EXPLAIN2', $this->parametrage->published_days)?></li>
  	 	<?php endif; ?>
	</ul>
	<?php if ($this->user->id != 0 && $this->parametrage->unableSubmitAdInList == true ) : ?> 
		<div align="right" style="margin-bottom:10px">
			<form action="index.php" method="post">
				<input type="hidden" name="option" value="com_annonces"/>
				<input type="hidden" name="view" value="edit"/>
				<input type="hidden" name="Itemid" value="<?php echo  JRequest::getVar('Itemid', 1, 'get', 'int')?>"/>
				<input type="submit" class="button" value="<?php echo JText::_('DEPOT') ?>" />
			</form>
		</div>
	<?php endif; ?>
</div>